public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xautolock/
Date: Sat, 11 Apr 2020 06:14:09 +0000 (UTC)	[thread overview]
Message-ID: <1586585644.f390bb68decca6669e296aad25a949ffb438c232.jer@gentoo> (raw)

commit:     f390bb68decca6669e296aad25a949ffb438c232
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 11 06:13:37 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Apr 11 06:14:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f390bb68

x11-misc/xautolock: Version 2.2_p6

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Closes: https://bugs.gentoo.org/716962
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/xautolock/Manifest                |  1 +
 x11-misc/xautolock/xautolock-2.2_p6.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/x11-misc/xautolock/Manifest b/x11-misc/xautolock/Manifest
index 3a0121027a6..bda938b7742 100644
--- a/x11-misc/xautolock/Manifest
+++ b/x11-misc/xautolock/Manifest
@@ -1,3 +1,4 @@
 DIST xautolock-2.2.tgz 35288 BLAKE2B 0cd709470002d7a6852a41a56e9f6b540405e172f30e3243a93b578e362f117a3ddd3b6ff15e653eb5466d15e7ff1d5505c19ccfd27d6e7d6ccae4c826a689ac SHA512 5f9dcc25cda706610e77a74235c4b421ca3a833d154b1a269057f0774579e1c6ec36fe0e5be5fadd6942ce8c1640a760f891397586b162e6024b524635153d04
 DIST xautolock_2.2-5.1.debian.tar.xz 5828 BLAKE2B 6a664d30b993986e70af853c037738da0576ca5ee3a0452329d4dffd3132899d1099b5bcc5bbf68ab688240b388396335b0d5227b140a74deca313112d0088cd SHA512 315f27518b89fa6633e3ce157423cd271f3db3b797fc59febc35aa8b33379bd6eda55ac9c7ccdf996c2d9d50bb6bef3b15add84b39236ace425740238de77e59
 DIST xautolock_2.2-5.2.debian.tar.xz 6216 BLAKE2B bda8c7a084e8975d268d626cc5aa02c87c7e6b0ae92351375f298cde4fabd8e48a0578c7c4bf32a280e2ecf13d82b7dcd73a874863616c0f9812ea98ffbe27e8 SHA512 807c9c7da51b16ed3a6600732f8d3b606d2f6c628238df0e6d975ea176ddce3d0e321779b19662f693ed1811b288ddae1b45228c0939e0728c122c1a2e556391
+DIST xautolock_2.2-6.debian.tar.xz 6376 BLAKE2B a7ef40b0fedd21146e359b85b7245695d9395a54aac568800b80a89fb13a08616fe771997d8b9e155c49f8218447022fcb2b256802156ee5f66d923e394a53ba SHA512 c5d350ae2e123e63564e9145de3a7a180b47cca745262cc4f935ced83e0fe2450d68fcbd0c3de3f4566e6650b3d6183b4491f5a2d0caed838221d2bc0b9e1613

diff --git a/x11-misc/xautolock/xautolock-2.2_p6.ebuild b/x11-misc/xautolock/xautolock-2.2_p6.ebuild
new file mode 100644
index 00000000000..1abba486815
--- /dev/null
+++ b/x11-misc/xautolock/xautolock-2.2_p6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="An automatic X screen-locker/screen-saver"
+HOMEPAGE="http://www.ibiblio.org/pub/Linux/X11/screensavers/"
+
+DEB_REVISION="$(ver_cut 4)"
+SRC_URI="
+	http://www.ibiblio.org/pub/Linux/X11/screensavers/${P/_p*/}.tgz
+	mirror://debian/pool/main/x/${PN}/${PN}_${PV/_p*/}-${DEB_REVISION}.debian.tar.xz
+"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86"
+
+RDEPEND="
+	x11-libs/libXScrnSaver
+"
+DEPEND="
+	${RDEPEND}
+	app-text/rman
+	x11-base/xorg-proto
+	x11-misc/imake
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2_p5_p1-waitpid.patch
+)
+S=${WORKDIR}/${P/_p*}
+
+src_prepare() {
+	mv "${WORKDIR}"/debian/patches/14-do-not-use-union-wait-type.patch{,.skip} || die
+	eapply "${WORKDIR}"/debian/patches/*.patch
+	default
+}
+
+src_configure() {
+	xmkmf || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)" \
+		CDEBUGFLAGS="${CFLAGS}" \
+		EXTRA_LDOPTIONS="${LDFLAGS}"
+}
+
+src_install() {
+	dobin xautolock
+	newman xautolock.man xautolock.1
+	dodoc Changelog Readme Todo
+}


             reply	other threads:[~2020-04-11  6:14 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-11  6:14 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-08  7:53 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xautolock/ Sam James
2024-01-08  7:53 Sam James
2024-01-07  6:14 Sam James
2023-06-17  8:15 Hans de Graaff
2022-09-30 11:02 Ionen Wolkens
2022-08-26 10:46 Sam James
2022-07-19  8:42 Hans de Graaff
2022-07-19  8:42 Hans de Graaff
2022-02-10 18:08 Jonas Stein
2021-04-15  6:39 Joonas Niilola
2021-03-17  9:09 Sam James
2021-03-17  9:00 Sam James
2021-03-15 21:25 Sam James
2021-03-15 21:21 Sam James
2021-03-15 21:18 Sam James
2020-09-04  8:33 Jeroen Roovers
2020-01-13 10:07 David Seifert
2019-11-17 19:38 Steve Arnold
2019-10-15 10:01 Jeroen Roovers
2017-05-13 12:15 Jeroen Roovers
2017-03-22  7:30 Michael Weber
2017-03-20 11:04 Agostino Sarubbo
2016-12-28 19:02 Jeroen Roovers
2016-09-30 13:53 Jeroen Roovers
2016-09-29 12:35 Agostino Sarubbo
2016-09-29  9:35 Agostino Sarubbo
2016-07-28 14:08 Agostino Sarubbo
2016-07-28  8:43 Agostino Sarubbo
2016-07-24 10:43 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586585644.f390bb68decca6669e296aad25a949ffb438c232.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox